---
title: 几何标记
order: 4
---

几何标记即我们所说的点、线、面这些几何图形。F2Native 中并没有特定的图表类型（柱状图、散点图、折线图等）的概念，但是通过图形语法用户可以单独绘制某一种类型的图表，如饼图，也可以绘制混合图表，比如折线图和柱状图的组合。

F2Native 生成的图表的类型，都是由几何标记决定的。可以通过下图直观得理解什么是几何标记：

![](https://gw.alipayobjects.com/zos/rmsportal/ffXoDNzwnXNHoaxtjbfY.png#width=)

## 如何声明几何标记

创建好 chart 对象之后，就可以通过如下方式选择几何标记的类型：

```
// 这里使用了 interval 类型的 geom，该方法会返回 geom 对象
F2Interval *interval = self.chart.interval(); 
```

## 几何标记类型

目前 F2Native 支持的几何标记的类型如下：

| **类型** | **描述** |
| --- | --- |
| line | 线，点按照 x 轴连接成一条线，构成线图。 |
| area | 填充线图跟坐标系之间构成区域图，也可以指定上下范围。 |
| interval | 使用矩形或者弧形，用面积来表示大小关系的图形，一般构成柱状图、饼图等图表。 |
| point | 使用圆形来标记每一项数据，一般构成散点图表。 |


## 几何标记和图表类型

虽然 F2Native 没有特定的图表类型概念，**但是仍支持所有传统图表类型的绘制**。

下表展示了 F2Native 中的 geom 几何标记类型和传统图表的对应关系，更多的图表详见[demos](/zh/examples)。

| **geom 类型** | **图表类型** | 
| --- | --- | --- |
| line | 折线图、曲线图 |  
| area | 区域图（面积图）、层叠区域图、百分比层叠区域图、区间区域图 | 
| interval | 柱状图、分组柱状图、瀑布图、层叠柱状图、百分比层叠柱状图、直方图、南丁格尔玫瑰图、饼图、条形环图（玉缺图）、漏斗图等 |
| piont | 散点图 |


## 图形形状（shape）

下面提供了 F2Native 中各个 geom 内置提供的 shape 类型，在后续图形属性章节，会详细介绍 shape 的使用方法。

| **geom 类型** | **shape 类型** | **解释** |
| --- | --- | --- |
| line | 'line', 'smooth', 'dash' | dash：虚线，smooth： 平滑线 |
| area | 'area', 'smooth' | 填充内容的区域图 |
| interval | 'rect' |  |
| point | 'circle' |  |